Debian-Sicherheitsankündigung

DSA-694-1 xloadimage -- Fehlende Entschärfung der Eingabe, Integer-Überlauf

Datum des Berichts:
21. Mär 2005
Betroffene Pakete:
xloadimage
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 298926.
In Mitres CVE-Verzeichnis: CVE-2005-0638, CVE-2005-0639.
Weitere Informationen:

Mehrere Verwundbarkeiten wurden in xloadimage entdeckt, einem Bildbetrachter für X11. Das Common Vulnerabilities and Exposures project identifiziert die folgenden Probleme:

  • CAN-2005-0638

    Tavis Ormandy vom Gentoo-Linux-Sicherheits-Audit-Team hat einen Fehler in der Behandlung von komprimierten Bildern gemeldet, wobei Metazeichen der Shell nicht adäquat maskiert werden.

  • CAN-2005-0639

    Es wurde eine unzureichende Überprüfung von Bildeigenschaften entdeckt, wodurch potenziell Fehler in der Pufferverwaltung auftreten können.

Für die Stable-Distribution (Woody) wurden diese Probleme in Version 4.1-10woody1 behoben.

Für die Unstable-Distribution (Sid) wurden diese Probleme in Version 4.1-14.2 behoben.

Wir empfehlen Ihnen, Ihr xloadimage-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.0 (woody)

Quellcode:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1.dsc
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1.diff.gz
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/x/xloadimage/xloadimage_4.1-10woody1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.